Pricefx REST API Reference
The Pricefx Backend API
Download OpenAPI description
Overview
URL
Pricefx
Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/importmanager.massedit/{typedId}
- URL:https://companynode.pricefx.com/pricefx/companypartition/importmanager.massedit/{typedId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/importmanager.massedit/{typedId}' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"filterCriteria": {
"_constructor": "AdvancedCriteria",
"operator": "and",
"criteria": [
{
"fieldName": "id",
"operator": "inSet",
"value": [
2147484135,
2147484190,
2147484205,
2147484225,
2147484226
],
"_constructor": "AdvancedCriteria"
}
]
},
"massEditRecords": [
{
"fieldName": "attribute18",
"massEditOperator": "=",
"fieldValue": "A",
"precision": 1
}
]
}
}'- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/importmanager.massdelete/{typedId}
- URL:https://companynode.pricefx.com/pricefx/companypartition/importmanager.massdelete/{typedId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/importmanager.massdelete/{typedId}' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"filterCriteria": {}
}
}'Response
application/json
{ "response": { "data": [ … ], "status": 0 } }
Request
Creates an empty Import Manager instance without uploading a file. It was introduced to support Import Manager-based editing directly from the UI, including the Data Change Request replacement flow.
The endpoint accepts the same path parameters as importmanager.upload, but without slotId. The implementation summary specifies these parameters: typeCode as a compulsory parameter and target as an optional parameter.
Security
basic or X-PriceFx-jwt
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/importmanager.add/{typeCode}/{target}
- URL:https://companynode.pricefx.com/pricefx/companypartition/importmanager.add/{typeCode}/{target}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
Response
application/json
{ "response": { "node": "pricefx-cluster-app-frontend-b6fcc5bc9-9pmxh", "data": [ … ] } }
CommentsCopy for LLM Copy page as Markdown for LLMs View as Markdown Open this page as Markdown Open in ChatGPT Get insights from ChatGPT Open in Claude Get insights from Claude Connect to Cursor Install MCP server on Cursor Connect to VS Code Install MCP server on VS Code